CWTextInternal::Section Struct Reference

internal class used to store a section More...

## Public Member Functions

| Section ()
| the constructor More...
MWAWSection | getSection () const
| returns a section More...

## Public Attributes

long | m_pos
| the character position More...
int | m_numColumns
| the number of column More...
std::vector< int > | m_columnsWidth
| the columns width More...
std::vector< int > | m_columnsSep
| the columns separator More...
std::string | m_extra
| a string to store unparsed data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator << More...

## Detailed Description

internal class used to store a section

## Constructor & Destructor Documentation

CWTextInternal::Section::Section | ( |  | ) |

inline

the constructor

## Member Function Documentation

MWAWSection CWTextInternal::Section::getSection | ( |  | ) | const

inline

returns a section

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |

friend

operator <<

## Member Data Documentation

std::vector<int> CWTextInternal::Section::m_columnsSep

the columns separator

Referenced by getSection(), and CWText::readTextSection().

std::vector<int> CWTextInternal::Section::m_columnsWidth

the columns width

Referenced by getSection(), and CWText::readTextSection().

std::string CWTextInternal::Section::m_extra

a string to store unparsed data

Referenced by CWText::readTextSection().

int CWTextInternal::Section::m_numColumns

the number of column

Referenced by getSection(), and CWText::readTextSection().

long CWTextInternal::Section::m_pos

the character position

Referenced by CWText::readTextSection().

The documentation for this struct was generated from the following file:

- CWText.cxx